import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

  const routes = [
  {
    path: '/',
    name: '首页',
    component: () => import('@/index'),
	redirect: "rule",
	children:[
		{
		  path: '/rule',
		  name: '积分规则',
		  component: () => import('@/views/rule.vue'),
		  meta:{icon:'icon-shezhi_jifenguize'}
		},
		{
		  path: '/framework',
		  name: '组织架构',
		  component: () => import('@/views/framework.vue'),
		   meta:{icon:'icon-shezhi_zuzhijiagou'}
		},
		{
		  path: '/jurisdiction',
		  name: '角色权限',
		  component: () => import('@/views/jurisdiction.vue'),
		   meta:{icon:'icon-shezhi_jiaose'}
		},
		{
		  path: '/initialPoint',
		  name: '初始分',
		  component: () => import('@/views/initialPoint.vue'),
		   meta:{icon:'icon-shezhi_jichushezhi'}
		},
		{
		  path: '/check',
		  name: '考勤积分',
		  component: () => import('@/views/check.vue'),
		   meta:{icon:'icon-kaoqin_kaoqinyuebaobiao'}
		},
		{
		  path: '/voluntarilyPoint',
		  name: '自动积分',
		  component: () => import('@/views/voluntarilyPoint.vue'),
		   meta:{icon:'icon-shezhi_zidongjifen'}
		}
	]
  },
  {
  path: '/noAccess',
  name: '无权限',
  component: () => import('@/noAccess'),
  }
]

const router = new VueRouter({
  // mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
